接口参考系统与健康检查
健康检查
GET /healthz,getHealth 的请求参数和响应结构。
GET /healthz
| 项目 | 内容 |
|---|---|
| 操作标识 | getHealth |
| 认证 | 无需用户登录 |
响应
| HTTP 状态 | 含义 |
|---|---|
| 200 | 成功 |
| 500 | 内部错误 |
200 · application/json 响应结构
| 字段 | 类型 | 必填 | 说明与约束 |
|---|---|---|---|
| data | HealthStatus | 是 | — |
| request_id | string | 是 | — |
{
"$ref": "#/$defs/HealthStatusResponse",
"$defs": {
"HealthStatusResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"data": {
"$ref": "#/$defs/HealthStatus"
},
"request_id": {
"type": "string"
}
},
"required": [
"data",
"request_id"
]
},
"HealthStatus": {
"type": "object",
"additionalProperties": false,
"properties": {
"status": {
"type": "string",
"enum": [
"ok",
"ready"
]
},
"service": {
"type": "string"
},
"version": {
"type": "string"
}
},
"required": [
"status",
"service",
"version"
]
}
}
}500 · application/json 响应结构
{
"$ref": "#/$defs/ErrorResponse",
"$defs": {
"ErrorResponse": {
"type": "object",
"additionalProperties": false,
"properties": {
"error": {
"$ref": "#/$defs/ErrorDetail"
},
"request_id": {
"type": "string"
}
},
"required": [
"error",
"request_id"
]
},
"ErrorDetail": {
"type": "object",
"additionalProperties": false,
"properties": {
"code": {
"type": "string",
"enum": [
"NOT_IMPLEMENTED",
"NOT_FOUND",
"AUTH_REQUIRED",
"FORBIDDEN",
"VALIDATION_FAILED",
"CONFLICT",
"SERVICE_UNAVAILABLE",
"INTERNAL_ERROR",
"RATE_LIMITED"
]
},
"message": {
"type": "string"
},
"retryable": {
"type": "boolean"
},
"fields": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
}
},
"required": [
"code",
"message",
"retryable"
]
}
}
}响应中的 request_id 用于排查请求;异步操作以任务最终状态为准。参阅调用约定、异步任务和错误处理。
本页由版本化 OpenAPI 契约生成。通用资源响应允许的任意字段以运行服务为准,不据此推断尚未定义的字段。
